AspectComponentDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.config

## Class AspectComponentDefinition

- java.lang.Object
- - org.springframework.beans.factory.parsing.AbstractComponentDefinition
  - - org.springframework.beans.factory.parsing.CompositeComponentDefinition
    - - org.springframework.aop.config.AspectComponentDefinition

- All Implemented Interfaces:
    BeanMetadataElement, ComponentDefinition

      public class AspectComponentDefinition
      extends CompositeComponentDefinition

  `ComponentDefinition` that holds an aspect definition, including its nested pointcuts.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller
  See Also:
    `CompositeComponentDefinition.getNestedComponents()`, `PointcutComponentDefinition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectComponentDefinition(String aspectName, BeanDefinition[] beanDefinitions, BeanReference[] beanReferences, Object source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanDefinition[]` | `getBeanDefinitions()` Returns an empty array.
    `BeanReference[]` | `getBeanReferences()` Returns an empty array.

    - ### Methods inherited from class org.springframework.beans.factory.parsing.CompositeComponentDefinition

      `addNestedComponent, getName, getNestedComponents, getSource`

    - ### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

      `getDescription, getInnerBeanDefinitions, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectComponentDefinition

          public AspectComponentDefinition(String aspectName,
                                   BeanDefinition[] beanDefinitions,
                                   BeanReference[] beanReferences,
                                   Object source)

  - ### Method Detail

    - #### getBeanDefinitions

          public BeanDefinition[] getBeanDefinitions()

      Description copied from class: `AbstractComponentDefinition`
      Returns an empty array.
      Specified by:
        `getBeanDefinitions` in interface `ComponentDefinition`
      Overrides:
        `getBeanDefinitions` in class `AbstractComponentDefinition`
      Returns:
        the array of BeanDefinitions, or an empty array if none

    - #### getBeanReferences

          public BeanReference[] getBeanReferences()

      Description copied from class: `AbstractComponentDefinition`
      Returns an empty array.
      Specified by:
        `getBeanReferences` in interface `ComponentDefinition`
      Overrides:
        `getBeanReferences` in class `AbstractComponentDefinition`
      Returns:
        the array of BeanReferences, or an empty array if none